GNU bug report logs - #47634
Accompany .asc and .DIGESTS keys for the ISO

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: guix; Reported by: bo0od <bo0od@HIDDEN>; Keywords: wontfix; Done: Ludovic Courtès <ludo@HIDDEN>; Maintainer for guix is bug-guix@HIDDEN.
bug closed, send any further explanations to 47634 <at> debbugs.gnu.org and bo0od <bo0od@HIDDEN> Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.
Added tag(s) wontfix. Request was from Ludovic Courtès <ludo@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 47634 <at> debbugs.gnu.org:


Received: (at 47634) by debbugs.gnu.org; 18 Apr 2021 10:40:21 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Apr 18 06:40:21 2021
Received: from localhost ([127.0.0.1]:45546 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lY4qi-0000Gq-Sw
	for submit <at> debbugs.gnu.org; Sun, 18 Apr 2021 06:40:21 -0400
Received: from eggs.gnu.org ([209.51.188.92]:39742)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <ludo@HIDDEN>) id 1lY4qh-0000GZ-BN
 for 47634 <at> debbugs.gnu.org; Sun, 18 Apr 2021 06:40:19 -0400
Received: from fencepost.gnu.org ([2001:470:142:3::e]:49363)
 by eggs.gnu.org with esmtp (Exim 4.90_1)
 (envelope-from <ludo@HIDDEN>)
 id 1lY4qb-00011W-Ty; Sun, 18 Apr 2021 06:40:13 -0400
Received: from [2a01:e0a:1d:7270:af76:b9b:ca24:c465] (port=43574 helo=ribbon)
 by fencepost.gnu.org with esmtpsa (TLS1.2:RSA_AES_256_CBC_SHA1:256)
 (Exim 4.82) (envelope-from <ludo@HIDDEN>)
 id 1lY4qa-0005l3-9M; Sun, 18 Apr 2021 06:40:12 -0400
From: =?utf-8?Q?Ludovic_Court=C3=A8s?= <ludo@HIDDEN>
To: Carlo Zancanaro <carlo@HIDDEN>
Subject: Re: bug#47634: Accompany .asc and .DIGESTS keys for the ISO
References: <60cab189-2c49-0f7f-8c32-178220540514@HIDDEN>
 <YG83aEbWP7BZkyUn@HIDDEN>
 <d6171b07-515f-58e2-2cff-e6dbd721656b@HIDDEN>
 <8624B91E-1A4F-4455-880A-E5664C27D5B1@HIDDEN>
 <5c01ac9b-74db-42d5-db39-7f287b70255d@HIDDEN>
 <87y2dqlvqj.fsf@HIDDEN>
Date: Sun, 18 Apr 2021 12:40:10 +0200
In-Reply-To: <87y2dqlvqj.fsf@HIDDEN> (Carlo Zancanaro's message of
 "Sat, 10 Apr 2021 12:27:32 +1000")
Message-ID: <875z0jlvud.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/27.2 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47634
Cc: bo0od <bo0od@HIDDEN>, 47634 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

Hi all,

Carlo Zancanaro <carlo@HIDDEN> skribis:

> I'm not convinced there's much value to add anything beyond the
> signatures, and I think there is some cost. Having multiple=20
> verification options makes the download page more confusing (by
> providing more choices to do the same thing), and may make it less=20
> likely that people do any verification.

Agreed.

> I think there may be a larger conversation to have around using
> something like Signify rather than PGP/GPG, but I'm not familiar=20
> enough with Signify to have an opinion about that at the moment.

Right.  OpenPGP isn=E2=80=99t great for software signing, but it=E2=80=99s =
widespread,
and that=E2=80=99s an important criterion if we are to allow users to
authenticate what they download.  Tools like Signify are certainly worth
looking at, but I see it as a longer-term option.

I=E2=80=99m closing this issue since it=E2=80=99s not really actionable.

Thanks,
Ludo=E2=80=99.




Information forwarded to bug-guix@HIDDEN:
bug#47634; Package guix. Full text available.

Message received at 47634 <at> debbugs.gnu.org:


Received: (at 47634) by debbugs.gnu.org; 10 Apr 2021 21:24:30 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sat Apr 10 17:24:30 2021
Received: from localhost ([127.0.0.1]:53458 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lVL5h-0003XT-Rt
	for submit <at> debbugs.gnu.org; Sat, 10 Apr 2021 17:24:30 -0400
Received: from mx1.riseup.net ([198.252.153.129]:49858)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bo0od@HIDDEN>) id 1lVL5f-0003XF-IP
 for 47634 <at> debbugs.gnu.org; Sat, 10 Apr 2021 17:24:28 -0400
Received: from fews1.riseup.net (fews1-pn.riseup.net [10.0.1.83])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4FHp0j6NTzzDsl2;
 Sat, 10 Apr 2021 14:24:21 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1618089861; bh=b+XLrSbbEQ2vba7Ro8RRxCcRaf5tO6bb5ABY1zrN8K8=;
 h=Subject:To:Cc:References:From:Date:In-Reply-To:From;
 b=tKhtsVkL+NHG0JI04u86VOCXCWsgwUVd/CMIq03DZnlkkSfEXbqIXlceIbUF6MIF2
 yI7uF881yF1aL9dKab4Fx39xwZNIdYHlfKPxhqhq73lk/A9iVf5zBmfxmqEVf3wBRa
 jPvT0p3CxMDqjh2vHnk9gQlm9N4F0rc6+Eq5o+WU=
X-Riseup-User-ID: 47D4B846FB10B9B6CB9F39F000578869FA7EB855EA041381DD1006D4D9EAB7B0
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews1.riseup.net (Postfix) with ESMTPSA id 4FHp0g5j7Hz5vkr;
 Sat, 10 Apr 2021 14:24:18 -0700 (PDT)
Subject: Re: bug#47634: Accompany .asc and .DIGESTS keys for the ISO
To: Carlo Zancanaro <carlo@HIDDEN>
References: <60cab189-2c49-0f7f-8c32-178220540514@HIDDEN>
 <YG83aEbWP7BZkyUn@HIDDEN>
 <d6171b07-515f-58e2-2cff-e6dbd721656b@HIDDEN>
 <8624B91E-1A4F-4455-880A-E5664C27D5B1@HIDDEN>
 <5c01ac9b-74db-42d5-db39-7f287b70255d@HIDDEN>
 <87y2dqlvqj.fsf@HIDDEN>
From: bo0od <bo0od@HIDDEN>
Message-ID: <efb8d568-f38a-2bbb-db8c-ab215da455f0@HIDDEN>
Date: Sat, 10 Apr 2021 21:24:13 +0000
MIME-Version: 1.0
In-Reply-To: <87y2dqlvqj.fsf@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47634
Cc: 47634 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > In this instance, the hash provides no
 > significant additional value over the signature.

What you said is true, Only thing i would see it useful when there is an 
attack on PGP but not necessary can be produced as well on the same time 
on SHA512 like collision attack or so (nothing at the moment discovered 
but just theoretical attack)

 > If we look at the Tor project (who, I hope you will agree, care about
 > security), their download page[1] only provides links to PGP signatures
 > as their sole method of verification.

If you tell me what most projects using at the moment i would tell you 
straight forward PGP, But on the future bases PGP on the bye bye way so 
what im suggesting here is to make it happen now rather than just 
waiting for the future to come with its more insecurities. (like what i 
referred to debian deprecation of PGP)

 > I think there may be a larger conversation to have around using
 > something like Signify rather than PGP/GPG, but I'm not familiar enough
 > with Signify to have an opinion about that at the moment.

Sure tyt, These stuff doesnt need to be fixed instantly but need to be 
looked in for sure.

ThX!

Carlo Zancanaro:
> Hi bo0od!
> 
> On Sat, Apr 10 2021, bo0od wrote:
>>> Which implies that the signatures are sufficient, right?
>>
>> Well this is simple question but the answer is sorta deeper, So i will 
>> answer with yes and no:
>>
>> yes signatures are sufficient but signatures with PGP has problems...
> 
> I grant that this might be true, but whether or not to use PGP is a 
> different issue to whether cryptographic signatures are sufficient to 
> verify downloads. If we compare the projects you've shown as examples:
> 
> - Qubes provides hashes, PGP signatures, and a release signing key
> 
> - Whonix provides hashes, PGP signatures, and a release signing key
> 
> For verification purposes the hashes only provide transport integrity - 
> they don't provide any mechanism to verify where the content came from, 
> and because they're stored next to the images it's likely that any 
> attacker who could manipulate the images could also manipulate the 
> hashes. The signature provides a better guarantee that the image 
> contains what the project intends to distribute (i.e. that nobody has 
> compromised image itself). In this instance, the hash provides no 
> significant additional value over the signature.
> 
> If we look at the Tor project (who, I hope you will agree, care about 
> security), their download page[1] only provides links to PGP signatures 
> as their sole method of verification.
> 
> I'm not convinced there's much value to add anything beyond the 
> signatures, and I think there is some cost. Having multiple verification 
> options makes the download page more confusing (by providing more 
> choices to do the same thing), and may make it less likely that people 
> do any verification.
> 
> I think there may be a larger conversation to have around using 
> something like Signify rather than PGP/GPG, but I'm not familiar enough 
> with Signify to have an opinion about that at the moment.
> 
> Carlo
> 
> [1]: https://www.torproject.org/download/




Information forwarded to bug-guix@HIDDEN:
bug#47634; Package guix. Full text available.

Message received at 47634 <at> debbugs.gnu.org:


Received: (at 47634) by debbugs.gnu.org; 10 Apr 2021 02:27:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 09 22:27:38 2021
Received: from localhost ([127.0.0.1]:51222 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lV3LW-0004vm-59
	for submit <at> debbugs.gnu.org; Fri, 09 Apr 2021 22:27:38 -0400
Received: from zancanaro.com.au ([45.76.117.151]:42592)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlo@HIDDEN>) id 1lV3LU-0004vd-CT
 for 47634 <at> debbugs.gnu.org; Fri, 09 Apr 2021 22:27:37 -0400
Received: by zancanaro.com.au (Postfix, from userid 116)
 id 5714633F68; Sat, 10 Apr 2021 02:27:34 +0000 (UTC)
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on vultr
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=4.0 tests=ALL_TRUSTED,BAYES_00,
 URIBL_BLOCKED autolearn=unavailable autolearn_force=no version=3.4.2
Received: from jolteon (n175-37-174-100.bla2.nsw.optusnet.com.au
 [175.37.174.100])
 by zancanaro.com.au (Postfix) with ESMTPSA id 7A69A33F36;
 Sat, 10 Apr 2021 02:27:33 +0000 (UTC)
References: <60cab189-2c49-0f7f-8c32-178220540514@HIDDEN>
 <YG83aEbWP7BZkyUn@HIDDEN>
 <d6171b07-515f-58e2-2cff-e6dbd721656b@HIDDEN>
 <8624B91E-1A4F-4455-880A-E5664C27D5B1@HIDDEN>
 <5c01ac9b-74db-42d5-db39-7f287b70255d@HIDDEN>
User-agent: mu4e 1.4.15; emacs 27.2
From: Carlo Zancanaro <carlo@HIDDEN>
To: bo0od <bo0od@HIDDEN>
Subject: Re: bug#47634: Accompany .asc and .DIGESTS keys for the ISO
In-reply-to: <5c01ac9b-74db-42d5-db39-7f287b70255d@HIDDEN>
Date: Sat, 10 Apr 2021 12:27:32 +1000
Message-ID: <87y2dqlvqj.fsf@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; format=flowed
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47634
Cc: 47634 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hi bo0od!

On Sat, Apr 10 2021, bo0od wrote:
>> Which implies that the signatures are sufficient, right?
>
> Well this is simple question but the answer is sorta deeper, So 
> i will answer with yes and no:
>
> yes signatures are sufficient but signatures with PGP has 
> problems...

I grant that this might be true, but whether or not to use PGP is 
a different issue to whether cryptographic signatures are 
sufficient to verify downloads. If we compare the projects you've 
shown as examples:

 - Qubes provides hashes, PGP signatures, and a release signing 
 key

 - Whonix provides hashes, PGP signatures, and a release signing 
 key

For verification purposes the hashes only provide transport 
integrity - they don't provide any mechanism to verify where the 
content came from, and because they're stored next to the images 
it's likely that any attacker who could manipulate the images 
could also manipulate the hashes. The signature provides a better 
guarantee that the image contains what the project intends to 
distribute (i.e. that nobody has compromised image itself). In 
this instance, the hash provides no significant additional value 
over the signature.

If we look at the Tor project (who, I hope you will agree, care 
about security), their download page[1] only provides links to PGP 
signatures as their sole method of verification.

I'm not convinced there's much value to add anything beyond the 
signatures, and I think there is some cost. Having multiple 
verification options makes the download page more confusing (by 
providing more choices to do the same thing), and may make it less 
likely that people do any verification.

I think there may be a larger conversation to have around using 
something like Signify rather than PGP/GPG, but I'm not familiar 
enough with Signify to have an opinion about that at the moment.

Carlo

[1]: https://www.torproject.org/download/




Information forwarded to bug-guix@HIDDEN:
bug#47634; Package guix. Full text available.

Message received at 47634 <at> debbugs.gnu.org:


Received: (at 47634) by debbugs.gnu.org; 9 Apr 2021 22:18:06 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 09 18:18:06 2021
Received: from localhost ([127.0.0.1]:51109 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lUzS1-0005F4-Lh
	for submit <at> debbugs.gnu.org; Fri, 09 Apr 2021 18:18:05 -0400
Received: from mx1.riseup.net ([198.252.153.129]:43658)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bo0od@HIDDEN>) id 1lUzRz-0005EQ-1x
 for 47634 <at> debbugs.gnu.org; Fri, 09 Apr 2021 18:18:03 -0400
Received: from fews2.riseup.net (fews2-pn.riseup.net [10.0.1.84])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4FHCF14BTtzDxXC;
 Fri,  9 Apr 2021 15:17:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1618006677; bh=s1EecHYls60DMb2vBXwkOqttRT7+U9XP39kromcOkfM=;
 h=Subject:To:Cc:References:From:Date:In-Reply-To:From;
 b=CeNbrrOBchrOuRQG+T6EWWH0GNfjzA0aVKo09FkRysKGjJoG8a3T9eB9Dx1WzsG6m
 piyQ0lj4ckkn8AP0vGca1StdN7RCfm3T6UazMcsf25x/seod/VYRI9bcJl6F8YqRBN
 NeO/PJZsTVOcWj6LH7AMEgqNSJVHcdXbVDmE1ZnE=
X-Riseup-User-ID: 0596DD0585F00CFE4DE771D1FB41463CB3405FDDB6396A142235EDE715E675EE
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews2.riseup.net (Postfix) with ESMTPSA id 4FHCDy2LPZz1yBT;
 Fri,  9 Apr 2021 15:17:53 -0700 (PDT)
Subject: Re: bug#47634: Accompany .asc and .DIGESTS keys for the ISO
To: Carlo Zancanaro <carlo@HIDDEN>, bug-guix@HIDDEN,
 Leo Famulari <leo@HIDDEN>
References: <60cab189-2c49-0f7f-8c32-178220540514@HIDDEN>
 <YG83aEbWP7BZkyUn@HIDDEN>
 <d6171b07-515f-58e2-2cff-e6dbd721656b@HIDDEN>
 <8624B91E-1A4F-4455-880A-E5664C27D5B1@HIDDEN>
From: bo0od <bo0od@HIDDEN>
Message-ID: <5c01ac9b-74db-42d5-db39-7f287b70255d@HIDDEN>
Date: Fri, 9 Apr 2021 22:17:47 +0000
MIME-Version: 1.0
In-Reply-To: <8624B91E-1A4F-4455-880A-E5664C27D5B1@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47634
Cc: 47634 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Which implies that the signatures are sufficient, right?

Well this is simple question but the answer is sorta deeper, So i will 
answer with yes and no:

yes signatures are sufficient but signatures with PGP has problems, In 
the suggestion above i didnt suggest to diverse the signing methods 
(like for example using signify alongside with gpg) but just adding 
extra steps better than one (more convenience to say that everything is 
going smoothly).

To understand what im talking about i suggest to read:

Why PGP on expiration time:

https://www.whonix.org/wiki/OpenPGP#Issues_with_PGP

Discussion which might consider deprecate the usage of PGP by debian:

https://wiki.debian.org/Teams/Apt/Spec/AptSign

Whonix already using signify alongside with PGP:

https://www.whonix.org/wiki/Signify

Also there are challenges to the concept itself:

https://www.whonix.org/wiki/Verifying_Software_Signatures#Conceptual_Challenges_in_Digital_Signatures_Verification



So I hope by complete reading that you will come to the conclusion that 
either provide as much as possible from extra verification (like 
.asc,DIGESTS,SHA512...etc) or provide alternative verification along 
side with the traditional one like using signify or using something like 
signify and thats it. (i think providing both methods like pgp/signify 
is the best way which suits everybody)




> 
> 
> On 9 April 2021 3:34:20 am AEST, bo0od <bo0od@HIDDEN> wrote:
>> This is nicely written by Qubes documentation:
>>
>> https://www.qubes-os.org/security/verifying-signatures/
> 
>  From that page:
> 
>> If you’ve already verified the signatures on the ISO directly, then verifying digests is not necessary.
> 
> Which implies that the signatures are sufficient, right?
> 
> What is the benefit to providing the key (.asc) and hashes (.DIGESTS)? The page you linked provides rationale for providing and checking digital signatures, but we already provide them.
> 
> Carlo
> 




Information forwarded to bug-guix@HIDDEN:
bug#47634; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 9 Apr 2021 22:18:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 09 18:18:08 2021
Received: from localhost ([127.0.0.1]:51111 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lUzS3-0005FD-Vg
	for submit <at> debbugs.gnu.org; Fri, 09 Apr 2021 18:18:08 -0400
Received: from lists.gnu.org ([209.51.188.17]:33686)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bo0od@HIDDEN>) id 1lUzS0-0005Ew-Gl
 for submit <at> debbugs.gnu.org; Fri, 09 Apr 2021 18:18:04 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:49700)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bo0od@HIDDEN>) id 1lUzS0-0000N1-Bp
 for bug-guix@HIDDEN; Fri, 09 Apr 2021 18:18:04 -0400
Received: from mx1.riseup.net ([198.252.153.129]:38578)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bo0od@HIDDEN>) id 1lUzRx-0005gV-VJ
 for bug-guix@HIDDEN; Fri, 09 Apr 2021 18:18:03 -0400
Received: from fews2.riseup.net (fews2-pn.riseup.net [10.0.1.84])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4FHCF14BTtzDxXC;
 Fri,  9 Apr 2021 15:17:57 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1618006677; bh=s1EecHYls60DMb2vBXwkOqttRT7+U9XP39kromcOkfM=;
 h=Subject:To:Cc:References:From:Date:In-Reply-To:From;
 b=CeNbrrOBchrOuRQG+T6EWWH0GNfjzA0aVKo09FkRysKGjJoG8a3T9eB9Dx1WzsG6m
 piyQ0lj4ckkn8AP0vGca1StdN7RCfm3T6UazMcsf25x/seod/VYRI9bcJl6F8YqRBN
 NeO/PJZsTVOcWj6LH7AMEgqNSJVHcdXbVDmE1ZnE=
X-Riseup-User-ID: 0596DD0585F00CFE4DE771D1FB41463CB3405FDDB6396A142235EDE715E675EE
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews2.riseup.net (Postfix) with ESMTPSA id 4FHCDy2LPZz1yBT;
 Fri,  9 Apr 2021 15:17:53 -0700 (PDT)
Subject: Re: bug#47634: Accompany .asc and .DIGESTS keys for the ISO
To: Carlo Zancanaro <carlo@HIDDEN>, bug-guix@HIDDEN,
 Leo Famulari <leo@HIDDEN>
References: <60cab189-2c49-0f7f-8c32-178220540514@HIDDEN>
 <YG83aEbWP7BZkyUn@HIDDEN>
 <d6171b07-515f-58e2-2cff-e6dbd721656b@HIDDEN>
 <8624B91E-1A4F-4455-880A-E5664C27D5B1@HIDDEN>
From: bo0od <bo0od@HIDDEN>
Message-ID: <5c01ac9b-74db-42d5-db39-7f287b70255d@HIDDEN>
Date: Fri, 9 Apr 2021 22:17:47 +0000
MIME-Version: 1.0
In-Reply-To: <8624B91E-1A4F-4455-880A-E5664C27D5B1@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 8bit
Received-SPF: pass client-ip=198.252.153.129; envelope-from=bo0od@HIDDEN;
 helo=mx1.riseup.net
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 47634 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

 > Which implies that the signatures are sufficient, right?

Well this is simple question but the answer is sorta deeper, So i will 
answer with yes and no:

yes signatures are sufficient but signatures with PGP has problems, In 
the suggestion above i didnt suggest to diverse the signing methods 
(like for example using signify alongside with gpg) but just adding 
extra steps better than one (more convenience to say that everything is 
going smoothly).

To understand what im talking about i suggest to read:

Why PGP on expiration time:

https://www.whonix.org/wiki/OpenPGP#Issues_with_PGP

Discussion which might consider deprecate the usage of PGP by debian:

https://wiki.debian.org/Teams/Apt/Spec/AptSign

Whonix already using signify alongside with PGP:

https://www.whonix.org/wiki/Signify

Also there are challenges to the concept itself:

https://www.whonix.org/wiki/Verifying_Software_Signatures#Conceptual_Challenges_in_Digital_Signatures_Verification



So I hope by complete reading that you will come to the conclusion that 
either provide as much as possible from extra verification (like 
.asc,DIGESTS,SHA512...etc) or provide alternative verification along 
side with the traditional one like using signify or using something like 
signify and thats it. (i think providing both methods like pgp/signify 
is the best way which suits everybody)




> 
> 
> On 9 April 2021 3:34:20 am AEST, bo0od <bo0od@HIDDEN> wrote:
>> This is nicely written by Qubes documentation:
>>
>> https://www.qubes-os.org/security/verifying-signatures/
> 
>  From that page:
> 
>> If you’ve already verified the signatures on the ISO directly, then verifying digests is not necessary.
> 
> Which implies that the signatures are sufficient, right?
> 
> What is the benefit to providing the key (.asc) and hashes (.DIGESTS)? The page you linked provides rationale for providing and checking digital signatures, but we already provide them.
> 
> Carlo
> 




Information forwarded to bug-guix@HIDDEN:
bug#47634; Package guix. Full text available.

Message received at 47634 <at> debbugs.gnu.org:


Received: (at 47634) by debbugs.gnu.org; 8 Apr 2021 22:57:10 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 08 18:57:10 2021
Received: from localhost ([127.0.0.1]:48492 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lUdaH-0004uE-Tz
	for submit <at> debbugs.gnu.org; Thu, 08 Apr 2021 18:57:10 -0400
Received: from zancanaro.com.au ([45.76.117.151]:34658)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlo@HIDDEN>) id 1lUdaF-0004u4-G6
 for 47634 <at> debbugs.gnu.org; Thu, 08 Apr 2021 18:57:08 -0400
Received: by zancanaro.com.au (Postfix, from userid 116)
 id 8684E33F1B; Thu,  8 Apr 2021 22:57:05 +0000 (UTC)
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on vultr
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=4.0 tests=ALL_TRUSTED,BAYES_00,
 URIBL_BLOCKED autolearn=unavailable autolearn_force=no version=3.4.2
Received: from [127.0.0.1] (unknown [120.18.27.231])
 by zancanaro.com.au (Postfix) with ESMTPSA id F292533EFB;
 Thu,  8 Apr 2021 22:57:02 +0000 (UTC)
Date: Fri, 09 Apr 2021 08:57:00 +1000
From: Carlo Zancanaro <carlo@HIDDEN>
To: bug-guix@HIDDEN, bo0od <bo0od@HIDDEN>,
 Leo Famulari <leo@HIDDEN>
Subject: Re: bug#47634: Accompany .asc and .DIGESTS keys for the ISO
User-Agent: K-9 Mail for Android
In-Reply-To: <d6171b07-515f-58e2-2cff-e6dbd721656b@HIDDEN>
References: <60cab189-2c49-0f7f-8c32-178220540514@HIDDEN>
 <YG83aEbWP7BZkyUn@HIDDEN>
 <d6171b07-515f-58e2-2cff-e6dbd721656b@HIDDEN>
Message-ID: <8624B91E-1A4F-4455-880A-E5664C27D5B1@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -0.0 (/)
X-Debbugs-Envelope-To: 47634
Cc: 47634 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)



On 9 April 2021 3:34:20 am AEST, bo0od <bo0od@riseup=2Enet> wrote:
>This is nicely written by Qubes documentation:
>
>https://www=2Equbes-os=2Eorg/security/verifying-signatures/

From=20that page:

> If you=E2=80=99ve already verified the signatures on the ISO directly, t=
hen verifying digests is not necessary=2E

Which implies that the signatures are sufficient, right?

What is the benefit to providing the key (=2Easc) and hashes (=2EDIGESTS)?=
 The page you linked provides rationale for providing and checking digital =
signatures, but we already provide them=2E

Carlo




Information forwarded to bug-guix@HIDDEN:
bug#47634; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 8 Apr 2021 22:57:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 08 18:57:12 2021
Received: from localhost ([127.0.0.1]:48495 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lUdaK-0004uT-4p
	for submit <at> debbugs.gnu.org; Thu, 08 Apr 2021 18:57:12 -0400
Received: from lists.gnu.org ([209.51.188.17]:47470)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <carlo@HIDDEN>) id 1lUdaI-0004uK-6D
 for submit <at> debbugs.gnu.org; Thu, 08 Apr 2021 18:57:11 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:59336)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <carlo@HIDDEN>)
 id 1lUdaH-0004F2-U2
 for bug-guix@HIDDEN; Thu, 08 Apr 2021 18:57:09 -0400
Received: from zancanaro.com.au ([45.76.117.151]:44080)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <carlo@HIDDEN>)
 id 1lUdaG-0006xa-7a
 for bug-guix@HIDDEN; Thu, 08 Apr 2021 18:57:09 -0400
Received: by zancanaro.com.au (Postfix, from userid 116)
 id E92AF33F19; Thu,  8 Apr 2021 22:57:04 +0000 (UTC)
X-Spam-Checker-Version: SpamAssassin 3.4.2 (2018-09-13) on vultr
X-Spam-Level: 
X-Spam-Status: No, score=-2.9 required=4.0 tests=ALL_TRUSTED,BAYES_00,
 URIBL_BLOCKED autolearn=unavailable autolearn_force=no version=3.4.2
Received: from [127.0.0.1] (unknown [120.18.27.231])
 by zancanaro.com.au (Postfix) with ESMTPSA id F292533EFB;
 Thu,  8 Apr 2021 22:57:02 +0000 (UTC)
Date: Fri, 09 Apr 2021 08:57:00 +1000
From: Carlo Zancanaro <carlo@HIDDEN>
To: bug-guix@HIDDEN, bo0od <bo0od@HIDDEN>,
 Leo Famulari <leo@HIDDEN>
Subject: Re: bug#47634: Accompany .asc and .DIGESTS keys for the ISO
User-Agent: K-9 Mail for Android
In-Reply-To: <d6171b07-515f-58e2-2cff-e6dbd721656b@HIDDEN>
References: <60cab189-2c49-0f7f-8c32-178220540514@HIDDEN>
 <YG83aEbWP7BZkyUn@HIDDEN>
 <d6171b07-515f-58e2-2cff-e6dbd721656b@HIDDEN>
Message-ID: <8624B91E-1A4F-4455-880A-E5664C27D5B1@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain;
 charset=utf-8
Content-Transfer-Encoding: quoted-printable
Received-SPF: pass client-ip=45.76.117.151; envelope-from=carlo@HIDDEN;
 helo=zancanaro.com.au
X-Spam_score_int: -18
X-Spam_score: -1.9
X-Spam_bar: -
X-Spam_report: (-1.9 / 5.0 requ) BAYES_00=-1.9, SPF_HELO_PASS=-0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
Cc: 47634 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)



On 9 April 2021 3:34:20 am AEST, bo0od <bo0od@riseup=2Enet> wrote:
>This is nicely written by Qubes documentation:
>
>https://www=2Equbes-os=2Eorg/security/verifying-signatures/

From=20that page:

> If you=E2=80=99ve already verified the signatures on the ISO directly, t=
hen verifying digests is not necessary=2E

Which implies that the signatures are sufficient, right?

What is the benefit to providing the key (=2Easc) and hashes (=2EDIGESTS)?=
 The page you linked provides rationale for providing and checking digital =
signatures, but we already provide them=2E

Carlo




Information forwarded to bug-guix@HIDDEN:
bug#47634; Package guix. Full text available.

Message received at 47634 <at> debbugs.gnu.org:


Received: (at 47634) by debbugs.gnu.org; 8 Apr 2021 17:34:38 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 08 13:34:38 2021
Received: from localhost ([127.0.0.1]:48141 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lUYY9-0003Aw-WC
	for submit <at> debbugs.gnu.org; Thu, 08 Apr 2021 13:34:38 -0400
Received: from mx1.riseup.net ([198.252.153.129]:60020)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bo0od@HIDDEN>) id 1lUYY7-0003Ae-Hr
 for 47634 <at> debbugs.gnu.org; Thu, 08 Apr 2021 13:34:36 -0400
Received: from fews2.riseup.net (fews2-pn.riseup.net [10.0.1.84])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4FGT0P6gfyzDv3Q;
 Thu,  8 Apr 2021 10:34:29 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1617903270; bh=Xig2NgsO/VY3vtbrSLPKvdJHhwTbBfULFVLWesIUVj4=;
 h=Subject:To:Cc:References:From:Date:In-Reply-To:From;
 b=hKTLLkib0N3/r+w88uqGPVFK2lcWnU0kL1FZOsardfUYuH/sbCeS+xPSREbiRGkXX
 3CRDbpGmw0m6rUhmd4b4k1qE8jw2x5mHOs/JItWeRFELoh888b0L1lW23U68ntfwGs
 Ar/VGS1fll1NKTDH7Lm7w2rkzmtTdaQlph/hzQQI=
X-Riseup-User-ID: 98600F932BF2A4BBA0AD1ABD71EDA802A67F0CACCD8C21AC4D41F21DC8F65990
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews2.riseup.net (Postfix) with ESMTPSA id 4FGT0M3t1Gz1yBT;
 Thu,  8 Apr 2021 10:34:26 -0700 (PDT)
Subject: Re: bug#47634: Accompany .asc and .DIGESTS keys for the ISO
To: Leo Famulari <leo@HIDDEN>
References: <60cab189-2c49-0f7f-8c32-178220540514@HIDDEN>
 <YG83aEbWP7BZkyUn@HIDDEN>
From: bo0od <bo0od@HIDDEN>
Message-ID: <d6171b07-515f-58e2-2cff-e6dbd721656b@HIDDEN>
Date: Thu, 8 Apr 2021 17:34:20 +0000
MIME-Version: 1.0
In-Reply-To: <YG83aEbWP7BZkyUn@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Spam-Score: -0.7 (/)
X-Debbugs-Envelope-To: 47634
Cc: 47634 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is nicely written by Qubes documentation:

https://www.qubes-os.org/security/verifying-signatures/

Leo Famulari:
> On Wed, Apr 07, 2021 at 05:42:40AM +0000, bo0od wrote:
>> Hi There,
>>
>> I see there is only .sig provided:
>>
>> https://guix.gnu.org/en/download/
>>
>> Its better to provide more than one way of verification e.g:
> 
> Why?
> 




Information forwarded to bug-guix@HIDDEN:
bug#47634; Package guix. Full text available.

Message received at 47634 <at> debbugs.gnu.org:


Received: (at 47634) by debbugs.gnu.org; 8 Apr 2021 17:03:49 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 08 13:03:49 2021
Received: from localhost ([127.0.0.1]:48111 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lUY4K-0002NT-Cf
	for submit <at> debbugs.gnu.org; Thu, 08 Apr 2021 13:03:49 -0400
Received: from out1-smtp.messagingengine.com ([66.111.4.25]:48293)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <leo@HIDDEN>) id 1lUY4H-0002NC-4w
 for 47634 <at> debbugs.gnu.org; Thu, 08 Apr 2021 13:03:47 -0400
Received: from compute3.internal (compute3.nyi.internal [10.202.2.43])
 by mailout.nyi.internal (Postfix) with ESMTP id 219AC5C0129;
 Thu,  8 Apr 2021 13:03:39 -0400 (EDT)
Received: from mailfrontend2 ([10.202.2.163])
 by compute3.internal (MEProxy); Thu, 08 Apr 2021 13:03:39 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=famulari.name;
 h=date:from:to:cc:subject:message-id:references:mime-version
 :content-type:in-reply-to; s=mesmtp; bh=GkNeujkoDyCe9guw/+hwinc3
 PwFB1/i8uOTz8b19AKU=; b=11tAU6P/74jMJ395ixuv8D1ad6Ykix40SIPZviE9
 +1CGuRPgF+Ot0acS5aNvqLhDI3lqwETkB4lbW4781kc31Dzt8HNpjHSl+1RLpSus
 Zuoyj4nnI/MNapXnLtDKOo3hMm5XQwbvtijcAMWRgkdtnL1aha00Q1uRIbacp3ea
 a00=
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=
 messagingengine.com; h=cc:content-type:date:from:in-reply-to
 :message-id:mime-version:references:subject:to:x-me-proxy
 :x-me-proxy:x-me-sender:x-me-sender:x-sasl-enc; s=fm2; bh=GkNeuj
 koDyCe9guw/+hwinc3PwFB1/i8uOTz8b19AKU=; b=tAkhWdXUAZNQTgzdJMxXX/
 apO13daHjgVdoNxvzL3Ns3egKA5TGNXMCutbSpoRvRosAIH7Dh7Ryh6UrXfSm+/y
 /8LIX2Q9BP5Rwp+ozDCmpUls1p8ZNCDbAsM3DDiowzyw34OMWhlRWY4BtaNg/wDz
 c8vrc4y7g5hm2neUFa4oBjLC9xXd2OuhQIjua1VmqO1v16z93Sfd+g/GWJote5ky
 42DZ3x5XM7G2r7j1nwq4oGt6IkTTXESNKFWFEVFxSZx1xuj7YTBA2etuK7Oz6Yj+
 GAB2vLUW1wNmk73B7l4QeOpbSm1f86sFgi76s8LvOg8KQQg4PbvybO3p9HP8nbSA
 ==
X-ME-Sender: <xms:ajdvYI7UWBb9B54EB0NKqiI87xuNHO9o0XQuKLzkefCv9-i_3HhgQg>
 <xme:ajdvYJ4wqLFIL-gr6HOXKCJ1EvfkZempGwkEhWyM-ABgxUHteZHTQNNzArkOQ7yqV
 mMGuDEvoCy1wBoHWg>
X-ME-Proxy-Cause: gggruggvucftvghtrhhoucdtuddrgeduledrudejledguddutdcutefuodetggdotefrod
 ftvfcurfhrohhfihhlvgemucfhrghsthforghilhdpqfgfvfdpuffrtefokffrpgfnqfgh
 necuuegrihhlohhuthemuceftddtnecunecujfgurhepfffhvffukfhfgggtuggjsehttd
 ertddttddvnecuhfhrohhmpefnvghoucfhrghmuhhlrghrihcuoehlvghosehfrghmuhhl
 rghrihdrnhgrmhgvqeenucggtffrrghtthgvrhhnpedvvddugefffeeitddthfefvdeuhf
 fgkeeikeegkeevteeghfeftefggeeuudffieenucffohhmrghinhepghhnuhdrohhrghen
 ucfkphepuddttddruddurdduieelrdduudeknecuvehluhhsthgvrhfuihiivgeptdenuc
 frrghrrghmpehmrghilhhfrhhomheplhgvohesfhgrmhhulhgrrhhirdhnrghmvg
X-ME-Proxy: <xmx:ajdvYHf_Uo1UwNISLThDYAXt3pDV_KhmR3kbppPbf42Q-38t3Hh3jA>
 <xmx:ajdvYNIbc7bIm_32xzTt4WliHWXDfWVJsiaaVa1rINho_OZW8LF6BQ>
 <xmx:ajdvYMJI3RdhXHG_FXoKLWeUY-l2-m4uNzk_HgAc-mbd13aQEsZtmA>
 <xmx:azdvYDmZevX5VdnMRDoQsYpZnSGWNMlkk17A1-pIEWtkycv1udLB5A>
Received: from localhost (pool-100-11-169-118.phlapa.fios.verizon.net
 [100.11.169.118])
 by mail.messagingengine.com (Postfix) with ESMTPA id 853C21080066;
 Thu,  8 Apr 2021 13:03:38 -0400 (EDT)
Date: Thu, 8 Apr 2021 13:03:36 -0400
From: Leo Famulari <leo@HIDDEN>
To: bo0od <bo0od@HIDDEN>
Subject: Re: bug#47634: Accompany .asc and .DIGESTS keys for the ISO
Message-ID: <YG83aEbWP7BZkyUn@HIDDEN>
References: <60cab189-2c49-0f7f-8c32-178220540514@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=us-ascii
Content-Disposition: inline
In-Reply-To: <60cab189-2c49-0f7f-8c32-178220540514@HIDDEN>
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On Wed, Apr 07, 2021 at 05:42:40AM +0000, bo0od wrote: > Hi
 There,
 > > I see there is only .sig provided: > > https://guix.gnu.org/en/download/
 > > Its better to provide more than one way of verificat [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 -0.7 RCVD_IN_DNSWL_LOW      RBL: Sender listed at https://www.dnswl.org/,
 low trust [66.111.4.25 listed in list.dnswl.org]
 0.0 RCVD_IN_MSPIKE_H3      RBL: Good reputation (+3)
 [66.111.4.25 listed in wl.mailspike.net]
 2.0 PDS_TONAME_EQ_TOLOCAL_SHORT Short body with To: name matches
 everything in local email
 0.0 RCVD_IN_MSPIKE_WL      Mailspike good senders
X-Debbugs-Envelope-To: 47634
Cc: 47634 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

On Wed, Apr 07, 2021 at 05:42:40AM +0000, bo0od wrote:
> Hi There,
> 
> I see there is only .sig provided:
> 
> https://guix.gnu.org/en/download/
> 
> Its better to provide more than one way of verification e.g:

Why?




Information forwarded to bug-guix@HIDDEN:
bug#47634; Package guix. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 7 Apr 2021 05:42:52 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Apr 07 01:42:52 2021
Received: from localhost ([127.0.0.1]:42855 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1lU0xn-0005P4-OR
	for submit <at> debbugs.gnu.org; Wed, 07 Apr 2021 01:42:51 -0400
Received: from lists.gnu.org ([209.51.188.17]:41112)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <bo0od@HIDDEN>) id 1lU0xl-0005Ow-Ny
 for submit <at> debbugs.gnu.org; Wed, 07 Apr 2021 01:42:50 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:44444)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bo0od@HIDDEN>) id 1lU0xl-0001tm-HK
 for bug-guix@HIDDEN; Wed, 07 Apr 2021 01:42:49 -0400
Received: from mx1.riseup.net ([198.252.153.129]:47426)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <bo0od@HIDDEN>) id 1lU0xj-0002dC-Ee
 for bug-guix@HIDDEN; Wed, 07 Apr 2021 01:42:49 -0400
Received: from fews1.riseup.net (fews1-pn.riseup.net [10.0.1.83])
 (using TLSv1 with cipher ECDHE-RSA-AES256-SHA (256/256 bits))
 (Client CN "*.riseup.net",
 Issuer "Sectigo RSA Domain Validation Secure Server CA" (not verified))
 by mx1.riseup.net (Postfix) with ESMTPS id 4FFYFc6t57zDqMc
 for <bug-guix@HIDDEN>; Tue,  6 Apr 2021 22:42:44 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=riseup.net; s=squak;
 t=1617774164; bh=tjcQVqNcMxQ91FWrAHPOsxiaTyOb3eSPo90mf1oWVGs=;
 h=To:From:Subject:Date:From;
 b=LC8Ssxu+EPUZw52U4Mx9WE9lvivGzdYHYutp/OpT12KaQ+IQ3M0Jn4rVbqNCrdIk0
 NrewaGegMWPDzXHMcn9h5+QWRdteZwyHMg8r0Yjzv99lWUU/h1/cXofwQ1Rc2DY0CJ
 m1fRG9KyQf3tw9DO0WNl38oykSxECHjgkfY280DI=
X-Riseup-User-ID: 3562AA13288FE31EE3BF0957944D14FA07FD8A0A01DC11CEEB10C52951CE846E
Received: from [127.0.0.1] (localhost [127.0.0.1])
 by fews1.riseup.net (Postfix) with ESMTPSA id 4FFYFc1FbKz5vZN
 for <bug-guix@HIDDEN>; Tue,  6 Apr 2021 22:42:43 -0700 (PDT)
To: bug-guix@HIDDEN
From: bo0od <bo0od@HIDDEN>
Subject: Accompany .asc and .DIGESTS keys for the ISO
Message-ID: <60cab189-2c49-0f7f-8c32-178220540514@HIDDEN>
Date: Wed, 7 Apr 2021 05:42:40 +0000
MIME-Version: 1.0
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
Received-SPF: pass client-ip=198.252.153.129; envelope-from=bo0od@HIDDEN;
 helo=mx1.riseup.net
X-Spam_score_int: -27
X-Spam_score: -2.8
X-Spam_bar: --
X-Spam_report: (-2.8 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 RCVD_IN_DNSWL_LOW=-0.7, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_PASS=-0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

Hi There,

I see there is only .sig provided:

https://guix.gnu.org/en/download/

Its better to provide more than one way of verification e.g:

Qubes: https://www.qubes-os.org/downloads/
Whonix: https://www.whonix.org/wiki/VirtualBox/XFCE
...etc

ThX!




Acknowledgement sent to bo0od <bo0od@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-guix@HIDDEN. Full text available.
Report forwarded to bug-guix@HIDDEN:
bug#47634; Package guix. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Sun, 18 Apr 2021 10:45:01 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.